Makefiles should include the makefile frag names even if the makefile
[deliverable/binutils-gdb.git] / configure
CommitLineData
eb02fd64 1#!/bin/sh
eb02fd64 2
46f3c7cd 3# Configuration script
eb02fd64
RP
4# Copyright (C) 1988, 1990, 1991 Free Software Foundation, Inc.
5
6#This file is part of GNU.
7
063efd10
JG
8# This program is free software; you can redistribute it and/or modify
9# it under the terms of the GNU General Public License as published by
10# the Free Software Foundation; either version 2 of the License, or
11# (at your option) any later version.
12#
13# This program is distributed in the hope that it will be useful,
14# but WITHOUT ANY WARRANTY; without even the implied warranty of
15# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
16# GNU General Public License for more details.
17#
18# You should have received a copy of the GNU General Public License
19# along with this program; if not, write to the Free Software
20# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. */
eb02fd64 21
74cc5508
RP
22# $Id$
23
49b10446
RP
24# Please email any bugs, comments, and/or additions to this file to:
25# configure@cygnus.com
26
eb02fd64
RP
27#
28# Shell script to create proper links to machine-dependent files in
0df06ca0 29# preparation for compilation.
eb02fd64
RP
30#
31# If configure succeeds, it leaves its status in config.status.
32# If configure fails after disturbing the status quo,
33# config.status is removed.
34#
35
c5ae5678
RP
36export PATH || (echo "OOPS, this isn't sh. Desperation time. I will feed myself to sh."; sh $0 $argv; kill $$)
37
38#set -e
c297d71e 39
eb02fd64
RP
40remove=rm
41hard_link=ln
42symbolic_link='ln -s'
43
44#for Test
45#remove="echo rm"
46#hard_link="echo ln"
47#symbolic_link="echo ln -s"
48
49# clear some things potentially inherited from environment.
6f8ac2d9
RP
50
51Makefile=Makefile
52Makefile_in=Makefile.in
eb02fd64 53ansi=
b8f8fddc 54arguments=$*
6f8ac2d9
RP
55commontargets=
56configdirs=
0df06ca0 57defaulttargets=
ec342d7d 58destdir=
0df06ca0 59fatal=
131a3881 60hostsubdir=
46766962 61norecursion=
49b10446
RP
62objdir=
63objdiroption=
64progname=
46766962 65recurring=
131a3881 66removing=
74cc5508 67srcdir=
ec342d7d 68srctrigger=
131a3881 69target=
0df06ca0 70targets=
131a3881 71targetsubdir=
0df06ca0 72verbose=
eb02fd64
RP
73
74for arg in $*;
75do
ec342d7d 76 case ${arg} in
9fddf5af 77 -ansi | +a*)
eb02fd64 78 ansi=true
bc58b41d 79 clib=clib
eb02fd64 80 ;;
ec342d7d
RP
81 -destdir=* | +destdir=* | +destdi=* | +destd=* | +dest=* | +des=* | +de=* | +d=*)
82 destdir=`echo ${arg} | sed 's/[+-]d[a-z]*=//'`
83 ;;
74cc5508
RP
84 -languages=* | +languages=* | +language=* | +languag=* \
85 | +langua=* | +langu=* | +lang=* | +lan=* | +la=* \
86 | +l=*)
ec342d7d 87 languages="${languages} `echo ${arg} | sed 's/[+-]l[a-z]*=//'`"
eb02fd64 88 ;;
bc58b41d 89 -gas | +g*)
eb02fd64
RP
90 gas=yes
91 ;;
9fddf5af 92 -help | +h*)
0df06ca0
RP
93 fatal=true
94 ;;
9fddf5af 95 -nfp | +nf*)
eb02fd64
RP
96 nfp=yes
97 ;;
46766962
RP
98 -norecursion | +no*)
99 norecursion=true
131a3881 100 ;;
49b10446
RP
101 -objdir=* | +objdir=* | +objdi=* | +objd=* | +obj=* | +ob=* | +o=*)
102 objdiroption=${arg}
103 objdir=`echo ${arg} | sed 's/[+-]o[a-z]*=//'`
104 ;;
46766962
RP
105 -recurring | +recurring | +recurrin | +recurri | +recurr | +recur | +recu | +rec | +re)
106 recurring=true
bc58b41d 107 ;;
46766962 108 -rm | +rm)
ec342d7d 109 removing=${arg}
131a3881 110 ;;
7875b07f
RP
111 -site=* | +site=* | +sit=* | +si=*)
112 site=`echo ${arg} | sed 's/[+-]s[a-z]*=//'`
113 ;;
114# -srcdir=* | +srcdir=* | +srcdi=* | +srcd=* | +src=* | +sr=*)
0df06ca0
RP
115# srcdir=`echo ${arg} | sed 's/[+-]s[a-z]*=//'`
116# ;;
6f8ac2d9 117 -subdirs | +su*)
991643f5
RP
118 subdirs=${arg}
119 ;;
9fddf5af 120 -target=* | +target=* | +targe=* | +targ=* | +tar=* | +ta=*)
0df06ca0 121 if [ -n "${targets}" ] ; then
991643f5 122 subdirs="+subdirs"
0df06ca0
RP
123 fi
124
125 newtargets="${targets} `echo ${arg} | sed 's/[+-]t[a-z]*=//'`"
126 targets="${newtargets}"
131a3881 127 ;;
49b10446
RP
128 -tmpdir=* | +tmpdir=* | +tmpdi=* | +tmpd=* | +tmp=* | +tm=*)
129 tmpdiroption=${arg}
130 TMPDIR=`echo ${arg} | sed 's/[+-]t[a-z]*=//'`
131 ;;
bc58b41d 132 -v | -verbose | +v*)
0df06ca0
RP
133 verbose=${arg}
134 ;;
135 -* | +*)
136 (echo ;
137 echo "Unrecognized option: \"${arg}\"". ;
138 echo) 1>&2
139 fatal=true
140 ;;
eb02fd64 141 *)
0df06ca0 142 if [ -n "${hosts}" ] ; then
991643f5 143 subdirs="+subdirs"
0df06ca0
RP
144 fi
145
146 newhosts="${hosts} ${arg}"
147 hosts=${newhosts}
eb02fd64
RP
148 ;;
149 esac
150done
151
0df06ca0 152if [ -n "${verbose}" ] ; then
49b10446 153 echo $0 $*
0df06ca0
RP
154fi
155
49b10446
RP
156## this is a little touchy and won't always work, but...
157##
158## if the argv[0] starts with a slash then it is an absolute name that can be
159## used as is.
160##
161## otherwise, if argv[0] has no slash in it, we can assume that it is on the
162## path. Since PATH might include "." we also add `pwd` to the end of PATH.
163##
164## otherwise we prepend `pwd` to $0 and hope that will give us an absolute
165## path.
166##
167
168if (echo $0 | grep '^/' > /dev/null) ; then
169 progname=$0
49b10446
RP
170else
171 if (echo $0 | grep '/' > /dev/null) ; then
172 progname=`pwd`/$0
49b10446
RP
173 else
174 progname=$0
49b10446
RP
175 PATH=$PATH:`pwd` ; export PATH
176 fi
177fi
178
c5ae5678 179configsub=`echo ${progname} | sed 's/configure$/config.sub/'`
bdb73134 180
c5ae5678
RP
181if ${configsub} none >/dev/null 2>&1 ; then
182 true
183else
bdb73134
JW
184 echo '***' cannot find config.sub.
185 echo 1
186fi
49b10446 187
c297d71e
RP
188# process host and target only if not removing.
189if [ -z "${removing}" -a -z "${fatal}" ] ; then
eb02fd64 190 # Complain if an arg is missing
0df06ca0
RP
191 if [ -z "${hosts}" ] ; then
192 (echo ;
193 echo "configure: No HOST specified." ;
bc58b41d 194 echo) 1>&2
0df06ca0 195 fatal=true
eb02fd64 196 fi
131a3881 197fi
eb02fd64 198
0df06ca0
RP
199if [ -n "${fatal}" -o "${hosts}" = "help" ] ; then
200 (echo "Usage: configure HOST" ;
201 echo ;
202 echo "Options: [defaults in brackets]" ;
203 echo " +ansi configure w/ANSI library. [no ansi lib]" ;
49b10446 204 echo " +destdir=MYDIR configure for installation into MYDIR. [\"/usr/local\"]" ;
0df06ca0 205 echo " +gas configure the compilers for use with gas. [native as]" ;
49b10446
RP
206 echo " +help print this message. [normal config]" ;
207 echo " +lang=LANG configure to build LANG. [gcc]" ;
0df06ca0 208 echo " +nfp configure the compilers default to soft floating point. [hard float]" ;
46766962 209 echo " +norecursion configure this directory only. [recurse]" ;
49b10446 210 echo " +objdir=ODIR configure in a parallel tree rooted in ODIR. [rooted in \".\"]" ;
0df06ca0 211 echo " +rm remove this configuration. [build a configuration]" ;
639665de
RP
212 echo " +site configure with site specific makefile" ;
213# This is correctly aligned in the output, even though it isn't here.
214 echo " +subdirs configure in subdirectories. [in source directories]" ;
0df06ca0 215 echo " +target=TARGET configure for TARGET. [TARGET = HOST]" ;
49b10446 216 echo " +tmpdir=TMPDIR create temporary files in TMPDIR. [ TMPDIR = \"/tmp\" ]" ;
0df06ca0
RP
217 echo ;
218 echo "Where HOST and TARGET are something like \"vax\", \"sun3\", \"encore\", etc." ;
991643f5 219 echo "Asking for more than one \"+target\" implies \"+subdirs\". Any other" ;
0df06ca0
RP
220 echo "options given will apply to all targets.") 1>&2
221
222 if [ -r config.status ] ; then
223 cat config.status
224 fi
225
226 exit 1
eb02fd64
RP
227fi
228
c297d71e
RP
229### break up configure.in.
230if [ -r configure.in ] ; then
231 if [ -z "`grep '^# per\-host:' configure.in`" ] ; then
232 echo '***' `pwd`/configure.in has no "per-host:" line. 1>&2
eb02fd64
RP
233 exit 1
234 fi
235
c297d71e
RP
236 if [ -z "`grep '^# per\-target:' configure.in`" ] ; then
237 echo '***' `pwd`/configure.in has no "per-target:" line. 1>&2
238 exit 1
bc58b41d
RP
239 fi
240
49b10446
RP
241 if [ -z "${TMPDIR}" ] ; then
242 TMPDIR=/tmp ; export TMPDIR
243 fi
244
c5ae5678
RP
245 # keep this filename short for &%*%$*# 14 char file names
246 tmpfile=${TMPDIR}/cONf$$
247
c297d71e
RP
248 # split configure.in into common, per-host, per-target,
249 # and post-target parts. Post-target is optional.
c5ae5678
RP
250 sed -e '/^# per\-host:/,$d' configure.in > ${tmpfile}.com
251 sed -e '1,/^# per\-host:/d' -e '/^# per\-target:/,$d' configure.in > ${tmpfile}.hst
252 if grep '^# post-target:' configure.in >/dev/null ; then
253 sed -e '1,/^# per\-target:/d' -e '/^# post\-target:/,$d' configure.in > ${tmpfile}.tgt
254 sed -e '1,/^# post\-target:/d' configure.in > ${tmpfile}.pos
c297d71e 255 else
c5ae5678
RP
256 sed -e '1,/^# per\-target:/d' configure.in > ${tmpfile}.tgt
257 echo >${tmpfile}.pos
bc58b41d 258 fi
eb02fd64 259
c297d71e
RP
260else
261 echo '***' No configure.in in `pwd`
262 exit 1
263fi
eb02fd64 264
c297d71e 265### do common part of configure.in
eb02fd64 266
c5ae5678 267. ${tmpfile}.com
eb02fd64 268
ec342d7d 269# some sanity checks on configure.in
0df06ca0 270if [ -z "${srctrigger}" ] ; then
c297d71e 271 echo '***' srctrigger not set in `pwd`/configure.in.
ec342d7d
RP
272 exit 1
273fi
274
0df06ca0
RP
275for host in ${hosts} ; do
276 # Default other arg
277 if [ -z "${targets}" -o -n "${defaulttargets}" ] ; then
278 targets=${host}
279 defaulttargets=true
280 fi
eb02fd64 281
b8f8fddc
RP
282 host_alias=${host}
283
50ac10c1 284 result=`${configsub} ${host}`
bc58b41d
RP
285 host_cpu=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
286 host_vendor=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
287 host_os=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
288 host=${host_cpu}-${host_vendor}-${host_os}
6c18e393
RP
289 host_makefile_frag=config/hmake-${host}
290
c5ae5678 291 . ${tmpfile}.hst
eb02fd64 292
0df06ca0 293 for target in ${targets} ; do
eb02fd64 294
b8f8fddc 295 target_alias=${target}
50ac10c1 296 result=`${configsub} ${target}`
bc58b41d
RP
297 target_cpu=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
298 target_vendor=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
299 target_os=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
300 target=${target_cpu}-${target_vendor}-${target_os}
6c18e393 301 target_makefile_frag=config/tmake-${target}
6408afba 302
c5ae5678 303 . ${tmpfile}.tgt
0df06ca0
RP
304
305 # Temporarily, we support only direct subdir builds.
b8f8fddc
RP
306 hostsubdir=H-${host_alias}
307 targetsubdir=T-${target_alias}
0df06ca0
RP
308
309 if [ -n "${removing}" ] ; then
49b10446
RP
310 if [ -n "${objdir}" ] ; then
311 echo '***' +rm not supported for +objdir. Just \"rm -rf ${objdir}\" by hand.
312 exit 1
313 fi
314
991643f5 315 if [ -n "${subdirs}" ] ; then
67ca110d
RP
316 if [ -d "${hostsubdir}" ] ; then
317 rm -rf ${hostsubdir}/${targetsubdir}
0df06ca0 318
c297d71e 319 if [ -z "`(ls ${hostsubdir}) 2>&1 | grep T- | grep -v T-independent`" ] ; then
67ca110d
RP
320 rm -rf ${hostsubdir}
321 fi
322 else
323 echo Warning: no `pwd`/${hostsubdir} to remove.
0df06ca0
RP
324 fi
325 else
063efd10 326 rm -f ${Makefile} config.status ${links}
0df06ca0 327 fi
74cc5508 328 else
49b10446
RP
329 if [ -n "${objdir}" ]; then
330 srcdir=`pwd`
331 cd ${objdir}
332 fi
333
991643f5 334 if [ -n "${subdirs}" ] ; then
0df06ca0 335 # check for existing status before allowing forced subdirs.
063efd10 336 if [ -f ${Makefile} ] ; then
bc58b41d 337 echo '***' "${Makefile} already exists in source directory. `pwd` not configured." 1>&2
0df06ca0
RP
338 exit 1
339 fi
eb02fd64 340
0df06ca0
RP
341 if [ ! -d ${hostsubdir} ] ; then mkdir ${hostsubdir} ; fi
342 cd ${hostsubdir}
eb02fd64 343
bc58b41d
RP
344 if [ ! -d ${targetsubdir} ] ; then
345 if [ -z "${commontargets}" ] ; then
346 mkdir ${targetsubdir}
347 else
c297d71e
RP
348 if [ ! -d T-independent ] ; then
349 mkdir T-independent
bc58b41d
RP
350 fi
351
c297d71e 352 ${symbolic_link} T-independent ${targetsubdir}
bc58b41d
RP
353 fi # if target independent
354 fi # if no target dir yet
355
0df06ca0 356 cd ${targetsubdir}
eb02fd64 357
49b10446
RP
358 if [ -z "${srcdir}" ] ; then
359 srcdir=../..
360 fi
0df06ca0
RP
361 else
362 # if not subdir builds, then make sure none exist.
c297d71e 363 if [ -n "`(ls .) 2>&1 | (grep H- ; true)`" ] ; then
bc58b41d 364 echo '***' "Configured subdirs exist. `pwd` not configured." 1>&2
0df06ca0 365 exit 1
c297d71e
RP
366 else
367 true
0df06ca0
RP
368 fi
369 fi
eb02fd64 370
0df06ca0
RP
371 # Find the source files, if location was not specified.
372 if [ -z "${srcdir}" ] ; then
373 srcdirdefaulted=1
374 srcdir=.
375 if [ -n "${srctrigger}" -a ! -r ${srctrigger} ] ; then
376 srcdir=..
377 fi
378 fi
eb02fd64 379
0df06ca0
RP
380 if [ -n "${srctrigger}" -a ! -r ${srcdir}/${srctrigger} ] ; then
381 if [ -z "${srcdirdefaulted}" ] ; then
bc58b41d 382 echo '***' "${progname}: Can't find ${srcname} sources in `pwd`/${srcdir}" 1>&2
0df06ca0 383 else
bc58b41d 384 echo '***' "${progname}: Can't find ${srcname} sources in `pwd`/. or `pwd`/.." 1>&2
0df06ca0 385 fi
eb02fd64 386
bc58b41d 387 echo '***' \(At least ${srctrigger} is missing.\) 1>&2
0df06ca0
RP
388 exit 1
389 fi
131a3881 390
0df06ca0
RP
391 # Set up the list of links to be made.
392 # ${links} is the list of link names, and ${files} is the list of names to link to.
eb02fd64 393
0df06ca0
RP
394 # Make the links.
395 while [ -n "${files}" ] ; do
396 # set file to car of files, files to cdr of files
397 set ${files}; file=$1; shift; files=$*
398 set ${links}; link=$1; shift; links=$*
131a3881 399
0df06ca0 400 if [ ! -r ${srcdir}/${file} ] ; then
bc58b41d
RP
401 echo '***' "${progname}: cannot create a link \"${link}\"," 1>&2
402 echo '***' "since the file \"${file}\" does not exist." 1>&2
0df06ca0
RP
403 exit 1
404 fi
131a3881 405
0df06ca0
RP
406 ${remove} -f ${link}
407 rm -f config.status
408 # Make a symlink if possible, otherwise try a hard link
409 ${symbolic_link} ${srcdir}/${file} ${link} 2>/dev/null || ${hard_link} ${srcdir}/${file} ${link}
131a3881 410
0df06ca0 411 if [ ! -r ${link} ] ; then
bc58b41d 412 echo '***' "${progname}: unable to link \"${link}\" to \"${srcdir}/${file}\"." 1>&2
0df06ca0
RP
413 exit 1
414 fi
bc58b41d
RP
415
416 if [ -n "${verbose}" ] ; then
417 echo "Linked \"${link}\" to \"${srcdir}/${file}\"."
418 fi
0df06ca0 419 done
131a3881 420
0df06ca0
RP
421 # Create a .gdbinit file which runs the one in srcdir
422 # and tells GDB to look there for source files.
423
424 case ${srcdir} in
425 .)
426 ;;
427 *)
428 echo "dir ." > .gdbinit
429 echo "dir ${srcdir}" >> .gdbinit
430 echo "source ${srcdir}/.gdbinit" >> .gdbinit
431 ;;
432 esac
433
434 # Install a makefile, and make it set VPATH
435 # if necessary so that the sources are found.
436 # Also change its value of srcdir.
437
438 # FIXME-someday: This business of always writing to .tem and mv back
439 # is so that I don't screw things up while developing. Once this
440 # template is stable, these should be optimized. xoxorich.
441
442 # Define macro CROSS_COMPILE in compilation if this is a cross-compiler.
443 if [ "${host}" != "${target}" ] ; then
063efd10
JG
444 echo "CROSS=-DCROSS_COMPILE" > ${Makefile}
445 echo "ALL=start.encap" >> ${Makefile}
0df06ca0 446 else
063efd10 447 echo "ALL=all.internal" > ${Makefile}
0df06ca0 448 fi
131a3881 449
0df06ca0 450 # set target, host, VPATH
b8f8fddc
RP
451 echo "host_alias = ${host_alias}" >> ${Makefile}
452 echo "host_cpu = ${host_cpu}" >> ${Makefile}
453 echo "host_vendor = ${host_vendor}" >> ${Makefile}
454 echo "host_os = ${host_os}" >> ${Makefile}
455
456 echo "target_alias = ${target_alias}" >> ${Makefile}
457 echo "target_cpu = ${target_cpu}" >> ${Makefile}
458 echo "target_vendor = ${target_vendor}" >> ${Makefile}
459 echo "target_os = ${target_os}" >> ${Makefile}
131a3881 460
991643f5 461 if [ -n "${subdirs}" ] ; then
49b10446
RP
462 (echo "subdir = /${hostsubdir}/${targetsubdir}" ;
463 echo "unsubdir = ../..") >> ${Makefile}
0df06ca0 464 else
49b10446
RP
465 (echo "subdir =" ;
466 echo "unsubdir = .") >> ${Makefile}
0df06ca0 467 fi
131a3881 468
063efd10
JG
469 # echo "workdir = `pwd`" >> ${Makefile}
470 echo "VPATH = ${srcdir}" >> ${Makefile}
eb02fd64 471
063efd10
JG
472 # add "Makefile.in" (or whatever it's called)
473 cat ${srcdir}/${Makefile_in} >> ${Makefile}
eb02fd64 474
0df06ca0 475 # Conditionalize the makefile for this host.
c5ae5678
RP
476 (echo "host_makefile_frag = ${srcdir}/${host_makefile_frag}" ;
477 sed -e "/^####/ r ${srcdir}/${host_makefile_frag}" ${Makefile}) > Makefile.tem
478 mv Makefile.tem ${Makefile}
131a3881 479
0df06ca0 480 # Conditionalize the makefile for this target.
c5ae5678
RP
481 (echo "target_makefile_frag = ${srcdir}/${target_makefile_frag}" ;
482 sed -e "/^####/ r ${srcdir}/${target_makefile_frag}" ${Makefile}) > Makefile.tem
483 mv Makefile.tem ${Makefile}
ec342d7d 484
7875b07f
RP
485 # Conditionalize the makefile for this site.
486 if [ -n "${site}" ] ; then
487 site_makefile_frag=smake-${site}
488
c5ae5678
RP
489 (echo "site_makefile_frag = ${srcdir}/${site_makefile_frag}" ;
490 sed -e "/^####/ r ${srcdir}/${site_makefile_frag}" ${Makefile}) > Makefile.tem
491 mv Makefile.tem ${Makefile}
7875b07f
RP
492 fi
493
0df06ca0 494 # set srcdir
063efd10
JG
495 sed "s@^srcdir = \.@srcdir = ${srcdir}@" ${Makefile} > Makefile.tem
496 mv Makefile.tem ${Makefile}
eb02fd64 497
0df06ca0
RP
498 # set destdir
499 if [ -n "${destdir}" ] ; then
063efd10
JG
500 sed "s:^destdir =.*$:destdir = ${destdir}:" ${Makefile} > Makefile.tem
501 mv Makefile.tem ${Makefile}
0df06ca0 502 fi
eb02fd64 503
0df06ca0 504 # reset SUBDIRS
063efd10
JG
505 sed "s:^SUBDIRS =.*$:SUBDIRS = ${configdirs}:" ${Makefile} > Makefile.tem
506 mv Makefile.tem ${Makefile}
eb02fd64 507
0df06ca0 508 # reset NONSUBDIRS
063efd10
JG
509 sed "s:^NONSUBDIRS =.*$:NONSUBDIRS = ${noconfigdirs}:" ${Makefile} > Makefile.tem
510 mv Makefile.tem ${Makefile}
eb02fd64 511
7875b07f
RP
512 # remove any form feeds.
513 sed -e "s/\f//" ${Makefile} > Makefile.tem
514 mv Makefile.tem ${Makefile}
515
0df06ca0 516 using=
9d1e053b 517 if [ -f ${srcdir}/${host_makefile_frag} ] ; then
c5ae5678 518 using="${using} and \"${host_makefile_frag}\""
0df06ca0 519 fi
9d1e053b 520 if [ -f ${srcdir}/${target_makefile_frag} ] ; then
c5ae5678 521 using="${using} and \"${target_makefile_frag}\""
0df06ca0 522 fi
c5ae5678
RP
523 if [ -n "${site}" -a \
524 -f ${srcdir}/${site_makefile_frag} ] ; then
525 using="${using} and \"${site_makefile_frag}\""
7875b07f 526 fi
c5ae5678
RP
527 using=`echo "${using}" | sed 's/and/using/'`
528 using="Created \"${Makefile}\" in `pwd`${using}."
7875b07f 529
46766962 530 if [ -n "${verbose}" -o -z "${recurring}" ] ; then
c5ae5678 531 echo ${using}
bc58b41d 532 fi
063efd10 533
c5ae5678 534 . ${tmpfile}.pos
eb02fd64 535
b8f8fddc
RP
536 # describe the chosen configuration in config.status.
537 # Make that file a shellscript which will reestablish
538 # the same configuration. Used in Makefiles to rebuild
539 # Makefiles.
540
541 echo "#!/bin/sh
49b10446 542# `pwd` was configured as follows:
c5ae5678
RP
543(cd ${srcdir} ; ${progname}" ${arguments} `if [ -z "${norecursion}" ] ; then echo +norecursion ; else true ; fi` ")
544# ${using}" > config.status
b8f8fddc 545 chmod a+x config.status
0df06ca0
RP
546
547 originaldir=`pwd`
548 cd ${srcdir}
549 fi
bc58b41d
RP
550
551 # If there are subdirectories, then recurse.
46766962 552 if [ -z "${norecursion}" -a -n "${configdirs}" ] ; then
bc58b41d
RP
553 for configdir in ${configdirs} ; do
554 if [ -n "${verbose}" ] ; then
555 echo Configuring ${configdir}...
556 fi
557
558 if [ -d ${configdir} ] ; then
49b10446
RP
559 if [ -n "${objdir}" ] ; then
560 if [ ! -d ${objdir}/${configdir} ] ; then
561 mkdir ${objdir}/${configdir}
562 fi
563 fi
564
5420feaa
RP
565 POPDIR=`pwd`
566 cd ${configdir}
567
c5ae5678 568 if (${progname} +recurring ${host_alias} +target=${target_alias} \
5420feaa
RP
569 ${verbose} ${subdirs} ${removing} +destdir=${destdir} \
570 `if [ -n "${objdir}" ] ; then echo +objdir=${objdir}/${configdir} ; fi` \
c5ae5678
RP
571 ${tmpdiroption}) ; then
572 true
573 else
574 exit 1
575 fi
5420feaa
RP
576
577 cd ${POPDIR}
578
579# (cd ${configdir} ;
580# if (${progname} +recurring ${host_alias} +target=${target_alias} \
581# ${verbose} ${subdirs} ${removing} +destdir=${destdir} \
582# `if [ -n "${objdir}" ] ; then echo +objdir=${objdir}/${configdir} ; fi` \
583# ${tmpdiroption}) ; then true ; else exit 1 ; fi) \
584# | sed 's/^/ /'
bc58b41d
RP
585 else
586 if [ -n "${verbose}" ] ; then
587 echo Warning: directory \"${configdir}\" is missing.
588 fi
589 fi
590 done
591 fi
67ca110d
RP
592 done # for each target
593
4101d868 594 # Now build a Makefile for this host.
991643f5 595 if [ -n "${subdirs}" -a ! -n "${removing}" ] ; then
49b10446
RP
596 push=`pwd`
597
598 if [ -n "${objdir}" ] ; then
599 cd ${objdir}
600 fi
601
4101d868 602 cd ${hostsubdir}
c5ae5678 603 cat > GNUmakefile << 'E!O!F'
b8f8fddc 604# Makefile generated by configure for host ${host_alias}.
4101d868 605
c297d71e 606ALL := $(shell ls -d T-*)
4101d868
RP
607
608%:
609 $(foreach subdir,$(ALL),$(MAKE) -C $(subdir) \$@ &&) true
610
611all:
612E!O!F
49b10446 613 cd ${push}
4101d868 614 fi
67ca110d 615done # for each host
eb02fd64 616
c297d71e
RP
617### clean up.
618
c5ae5678 619rm -f ${tmpfile}.com ${tmpfile}.tgt ${tmpfile}.hst ${tmpfile}.pos
c297d71e 620
eb02fd64 621exit 0
74cc5508 622
213195dd
RP
623#
624#
625# $Log$
c5ae5678
RP
626# Revision 1.60 1991/10/23 21:48:28 rich
627# Makefiles should include the makefile frag names even if the makefile
628# frag doesn't exist in *this* directory. Otherwise we inherit the
629# variable setting from our parent Makefile.
630#
631# Revision 1.59 1991/10/16 19:53:31 gnu
632# Update for SCO problems.
633#
634# * Fix "Larry Wall kludge" line so it works. If this script is run by csh,
635# it will complain, feed itself to sh, and complain some more. But will work.
636#
637# * Use <14 char file names in /tmp.
638#
639# Revision 1.58 1991/10/16 06:12:52 rich
640# Two small bugs. First, single quoted sed line doesn't need to quote
641# '$'. Second, use quotes around the hereis document trigger in order
642# to quote the entire contents of the hereis document.
643#
644# Revision 1.57 1991/10/11 05:31:05 gnu
645# Simplify "Using" message code. Put the message that configure prints
646# (or suppresses) into the config.status file as a comment.
647#
648# Revision 1.56 1991/10/10 05:01:47 rich
649# Remove the set -e but protect the recusion call.
650#
651# Revision 1.55 1991/10/10 04:57:23 rich
5420feaa
RP
652# * Die when sub-configure's do.
653# * get the makefile building message line correct.
654# * set -e
655#
656# Revision 1.54 1991/10/10 01:04:42 rich
50ac10c1
RP
657# Backed out the "/bin/sh config.sub" change. Fails when config.sub was
658# on PATH.
659#
660# Revision 1.53 1991/10/10 00:38:08 rich
dafcb8be
RP
661# Call config.sub as "/bin/sh config.sub" instead of directly. This
662# protects us from the case where config.sub isn't executable.
663#
664# Revision 1.52 1991/10/09 00:48:26 rich
639665de
RP
665# Another patch from jim.
666#
667# Revision 1.51 1991/10/08 06:07:58 wilson
bdb73134
JW
668# Fix bug in smake- file code.
669#
670# Revision 1.50 1991/10/04 23:49:37 rich
671# Per's patch for my config.sub botch.
672#
673# Revision 1.49 1991/10/04 22:52:09 rich
49b10446
RP
674# Use john's heuristic for finding ourselves. kinda like hare krishna.
675#
676# Revision 1.48 1991/10/02 13:17:28 rich
677# take out the set -e for now
678#
679# Revision 1.47 1991/10/02 10:02:23 rich
680# * temporary files in TMPDIR
681# * +objdir
682#
683# Revision 1.46 1991/10/02 06:29:53 rich
7875b07f
RP
684# Added +site=foo option for naming site specific Makefile fragments.
685#
686# Revision 1.45 1991/10/02 06:15:13 rich
6f8ac2d9
RP
687# Removed +f option. Used to stand for +forcesubdirs which is now
688# called +subdirs.
689#
690# Revision 1.44 1991/10/02 06:02:35 rich
213195dd
RP
691# Added rcs log line.
692#
693#
694#
695
0df06ca0
RP
696#
697# Local Variables:
698# fill-column: 131
699# End:
700#
74cc5508 701
46f3c7cd 702# end of configure
This page took 0.082685 seconds and 4 git commands to generate.